List AI Inbox Manager replies
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a1f0d3-24e2-79a6-b488-95a38f8fac5b",
"organization_id": "01a1f0d3-24e2-79a6-b488-95a42bb28ee0",
"timestamp_created": "2026-11-18T22:42:11.810Z",
"timestamp_updated": "2026-11-18T22:42:11.810Z",
"agent_id": "01a1f0d3-24e2-79a6-b488-95a57b70cc29",
"thread_id": "3c-zuFiJhv7cqJE5IoKkg6Pzh9",
"lead": "john@example.com",
"feedback_positive": true,
"feedback_text": "Great response!",
"html": "<p>Hello, John!</p>",
"requires_hitl": true,
"requires_hitl_reason": "Low confidence score detected",
"generation_lag_seconds": 2.5,
"is_automatic_email": false,
"in_reply_to": "reply_12345",
"usage_metadata": {},
"calendly_tool_used": false,
"confidence_score": 92,
"information_requested": "Please confirm your availability.",
"estimated_time_saved_seconds": 30,
"action_pending": true,
"sending_status": 1,
"is_followup": true,
"error_code": "SEND_FAILED"
}
],
"next_starting_after": "01a1f0d3-6491-7ec9-a941-5065ac2189ef"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Inbox Manager
List AI Inbox Manager replies
List the replies and follow-ups generated by an AI Inbox Manager, newest first.
Requires one of the following scopes: ai_sdr_replies:read, ai_agents:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
inbox-manager
/
{id}
/
replies
List AI Inbox Manager replies
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a1f0d3-24e2-79a6-b488-95a38f8fac5b",
"organization_id": "01a1f0d3-24e2-79a6-b488-95a42bb28ee0",
"timestamp_created": "2026-11-18T22:42:11.810Z",
"timestamp_updated": "2026-11-18T22:42:11.810Z",
"agent_id": "01a1f0d3-24e2-79a6-b488-95a57b70cc29",
"thread_id": "3c-zuFiJhv7cqJE5IoKkg6Pzh9",
"lead": "john@example.com",
"feedback_positive": true,
"feedback_text": "Great response!",
"html": "<p>Hello, John!</p>",
"requires_hitl": true,
"requires_hitl_reason": "Low confidence score detected",
"generation_lag_seconds": 2.5,
"is_automatic_email": false,
"in_reply_to": "reply_12345",
"usage_metadata": {},
"calendly_tool_used": false,
"confidence_score": 92,
"information_requested": "Please confirm your availability.",
"estimated_time_saved_seconds": 30,
"action_pending": true,
"sending_status": 1,
"is_followup": true,
"error_code": "SEND_FAILED"
}
],
"next_starting_after": "01a1f0d3-6491-7ec9-a941-5065ac2189ef"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}